Bug 224043 - Kernel crash with remote connections to Mysql
Kernel crash with remote connections to Mysql
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
http://www.nsa.bz
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-23 14:39 EST by Chris Light
Modified: 2008-05-06 14:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 14:09:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Message log from linux kernel (32.26 KB, text/plain)
2007-01-23 14:39 EST, Chris Light
no flags Details

  None (edit)
Description Chris Light 2007-01-23 14:39:07 EST
Description of problem:We have FC5 x86_64 on a Pentium D dual core 2.66 GHz
Gigabyte GIGABYTE GA-8N-SLI LGA 775 NVIDIA nForce4 SLI ATX Intel Motherboard, 1
Mb DDR2-800 RAM and Software RAID 1 (2 West. Dig 500 Gb).  This system runs
great until I remotely connect to MySQL via Mysql Query Browser or Mysql Control
Center.  I can connect and view all settings on the Mysql server remotely
however, apparently after a connection timeout, the kernel crashes.  The system
runs cleanly with no errors (monit and smartd are watching) until this single
issue arises.  I frequently develop code remotely and have now crashed the
server each time I have connected recently.  
When I observe the machine after a crash, it is spooling out error messages like:
ATA1: series of address errors
ATA2: series of address errors



Version-Release number of selected component (if applicable):
kernel-2.6.15-1.2054_FC5-x86_64
mysql-5.0.27-1.fc5-x86_64

How reproducible:Connect remotely using MySQL Query Browser or older MySQL
Control Center via port 3306 crashes the kernel after evidently a connection
timeout or execution of certain queries.  Root display goes to ATA1: erata and
ATA2: erata with the kernel either partially or fully crashed.


Steps to Reproduce:
1.  Connect remotely to www.nsa.bz on port 3306.  
2.  Execute queries
3.  leave connection unattended until timeout occurs
  
Actual results:
Kernel Lockup

Expected results:
normal ability to remotely connect to MySQL and make queries of all types the
user is approved for.


Additional info:  Please note line 4 of the attached log.  It is the last log
output before the most recent crash
Comment 1 Chris Light 2007-01-23 14:39:07 EST
Created attachment 146343 [details]
Message log from linux kernel
Comment 2 Tom Lane 2007-01-24 01:59:58 EST
Reassigning to appropriate component.
Comment 3 Chuck Ebbert 2007-02-22 15:29:38 EST
(In reply to comment #1)
> Created an attachment (id=146343) [edit]
> Message log from linux kernel
> 

You need to upgrade the kernel before anyone can help --
2.6.15 is ancient history now.
Comment 4 Bug Zapper 2008-04-04 01:42:33 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 13:55:53 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Bug Zapper 2008-05-06 14:05:54 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Bug Zapper 2008-05-06 14:09:28 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.